Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033560
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] Z. Othersmajoralways2016-07-27 13:482016-08-12 09:02
ReporterngarciaView Statuspublic 
Assigned Tomarkmm82 
PriorityimmediateResolutionfixedFixed in Version3.0PR16Q3.1
StatusclosedFix in branchFixed in SCM revision0d7824425cde
ProjectionnoneETAnoneTarget Version3.0PR16Q3.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2015-11-23
Regression introduced in release3.0PR16Q1
Regression introduced by commithttp://code.openbravo.com/erp/devel/pi/rev/336cbe497bec883b0d50b8fc3a248cf3227cfcbb [^]
Triggers an Emergency PackYes
Summary

0033560: Cannot void an invoice if the business partner does not have a default financial account defined

DescriptionCannot void an invoice if the business partner does not have a default financial account defined and the payment method is defined as default in a financial account that does not belong to the natural tree of the invoice's organization
Steps To ReproduceAs group admin role:
   Create a new Payment Method:
      Organization: *
      Payment In Allowed: Y
      Receive Payments in Multiple Currencies: Y
  Add it to 'Bank - Account 1' financial account and set it as default
  Add it to 'Cuenta de Banco' financial account (Default = 'N')
  Remove the Financial Account to 'Hoteles Buenas Noches, S.A.' customer (Business Partner - Customer tab)
  Create a Sales Invoice with that business partner and payment method
  Complete it
  Try to void it and check the following error message is shown:
     It does not exist any Financial Account available for this Payment Method
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0033550 closedmarkmm82 Cannot void an invoice if the business partner does not have a default financial account defined 

-  Notes
(0089070)
hgbot (developer)
2016-08-12 09:01

Repository: erp/backports/3.0PR16Q3.1
Changeset: 0d7824425cde26c44b8e60b888812c1864017aaf
Author: Mark <markmm82 <at> gmail.com>
Date: Thu Aug 04 09:52:25 2016 -0400
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.1/rev/0d7824425cde26c44b8e60b888812c1864017aaf [^]

Fixes issue 33560: Error voiding an invoice if bp doesn't have default account

Method used to get the default financial account (getFinancialAccountPaymentMethod) was not taking into account the natural tree of the organization of document being processed, always was ordering by "default" account and when the query returns more than one results, if the first record's account does not belong to the natural tree of the entity's organization (in this case invoice's organization) validation was failing and an error message was shown.

To avoid it, was overwritten the getFinancialAccountPaymentMethod method of the FIN_Utility class to also filtering by financial accounts belonging to the natural tree of the entity's organization. Was necessary to adapt other classes using this method to work correctly.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/ProcessInvoice.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/filterexpression/AddPaymentDefaultValuesHandler.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_Utility.java
---
(0089071)
hgbot (developer)
2016-08-12 09:01

Repository: erp/backports/3.0PR16Q3.1
Changeset: a77938d67f97c6b6a6b6e9f99fdcf1dd2d5fb432
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Aug 04 16:07:56 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.1/rev/a77938d67f97c6b6a6b6e9f99fdcf1dd2d5fb432 [^]

Related to issue 33560: Code review improvements

Remove unused OrganizationStructureProvider.
Remove duplicated method.
Remove orgId1 parameter as it can be calculated inside the query.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/ProcessInvoice.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/filterexpression/AddPaymentDefaultValuesHandler.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_Utility.java
---
(0089072)
aferraz (developer)
2016-08-12 09:02

Code review + Testing OK

- Issue History
Date Modified Username Field Change
2016-07-28 17:59 markmm82 Type defect => backport
2016-07-28 17:59 markmm82 Target Version => 3.0PR16Q3
2016-08-04 13:44 plujan Target Version 3.0PR16Q3 => 3.0PR16Q3.1
2016-08-12 09:01 hgbot Checkin
2016-08-12 09:01 hgbot Note Added: 0089070
2016-08-12 09:01 hgbot Status scheduled => resolved
2016-08-12 09:01 hgbot Resolution open => fixed
2016-08-12 09:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR16Q3.1/rev/0d7824425cde26c44b8e60b888812c1864017aaf [^]
2016-08-12 09:01 hgbot Checkin
2016-08-12 09:01 hgbot Note Added: 0089071
2016-08-12 09:02 aferraz Review Assigned To => aferraz
2016-08-12 09:02 aferraz Note Added: 0089072
2016-08-12 09:02 aferraz Status resolved => closed
2016-08-12 09:02 aferraz Fixed in Version => 3.0PR16Q3.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker